<?php

require_once('access.php');
require_once('../config.php');
require_once('../common.php');
require_once('parser.php');
require_once('myform/myform.php');

$merchant_id = myform_get('id');
$merchant_name = myform_get('name');

   $form = new myform(); // not a database form
   
   $form->set_title('Shareasale FTP Access');

   $form->set('server', array(
                        'type'     => 'text',
                        'label'    => 'Server',
                        'value'    => 'datafeeds.shareasale.com',
                        'help_text' => 'Enter the Shareasale FTP server name.',
                        'html'     => 'size="60" maxlength="100"',
                        'validation' => 'ftp_it',
                        'required' => 1,
                        ));

   $form->set('username', array(
                        'type'     => 'text',
                        'label'    => 'Shareasale ID',
                        'help_text' => 'Enter your Shareasale Userid.',
                        'value'    => '',
                        'html'     => 'size="20" maxlength="100"',
                        'required' => 1,
                        ));

   $form->set('password', array(
                        'type'     => 'text',
                        'label'    => 'Shareasale Password',
                        'value'    => '',
                        'help_text' => 'Enter your Shareasale password.',
                        'html'     => 'size="20" maxlength="100"',
                        'required' => 1,
                        ));

   $form->set('id2', array(
                        'type'     => 'text',
                        'label'    => 'Merchant ID',
                        'value'    => $merchant_id,
                        'help_text' => 'Shareasale Merchant ID.',
                        'html'     => 'size="10" maxlength="100"',
                        'required' => 1,
                        'numeric' => 0,
                        ));

   $form->set('folder', array(
                        'type'     => 'text',
                        'label'    => 'FTP Folder',
                        'value'    => $merchant_id,
                        'help_text' => 'FTP folder (usually the same as the merchant id)',
                        'html'     => 'size="10" maxlength="100"',
                        'required' => 1,
                        'numeric' => 0,
                        ));

   $form->set('name2', array(
                        'type'     => 'text',
                        'label'    => 'Merchant Name',
                        'value'    => $merchant_name,
                        'help_text' => 'Shareasale Merchant Name.',
                        'html'     => 'size="40" maxlength="100"',
                        'required' => 1,
                        ));


   $form_output = $form->process();

   if ($form_output == '1')
      {
      }

// generate page

$tpl = new template();
$tpl->set('form_output',$form_output);
$main_content = $tpl->fetch('templates/ftp.tpl');

$tpl2 = new template();
$tpl2->set('main_content',$main_content);
echo $tpl2->fetch('templates/master.tpl');

function ftp_it($value)
   {
      $server = myform_post('server');
      $username = myform_post('username');
      $password = myform_post('password');
      $id = myform_post('id2');
      $folder = myform_post('folder');
      $name = myform_post('name2');
      $source = "/$folder/$id.txt";
      $destination = "../datafeeds/$id.txt";

      @$ftp_conn = ftp_connect($server);
      @$login = ftp_login($ftp_conn, $username, $password);

      if ((!$ftp_conn) || (!$login))
          {
          return "Connection to $server failed. Verify userid and password.";
          exit;
          }

      @$download = ftp_get($ftp_conn, $destination, $source, FTP_ASCII);

      if (!$download)
         {
         return "FTP download has failed. Make sure you have FTP access for this merchant.";
         }

      // get settings from database
      $query = "SELECT * FROM config LIMIT 1;";
      database_inquiry($query, $rows);
      extract($rows[0]);

      parse_feed($destination,$sass_id,$name);
      return "FTP download successful. Feed parsed and imported to database.";
   }

?>
